> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific check result from job

> Retrieve the result of a specific check from a job



## OpenAPI

````yaml api-reference/openapi.yaml get /getCheckResultFromJob
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /getCheckResultFromJob:
    get:
      summary: Get a specific check result from job
      description: Retrieve the result of a specific check from a job
      parameters:
        - name: job_id
          in: query
          required: true
          schema:
            type: string
          description: The unique identifier of the job
        - name: agent_instance_id
          in: query
          required: true
          schema:
            type: string
          description: The unique identifier of the agent instance
        - name: check_id
          in: query
          required: true
          schema:
            type: string
          description: The unique identifier of the check
        - name: case_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - kyb
              - kyc
              - entity
          description: The type of the case
        - name: include_status_messages
          in: query
          schema:
            type: boolean
            default: true
          description: Whether to include status messages in the response
      responses:
        '200':
          description: Check result retrieved successfully
        '403':
          description: Unauthorized access to agent
        '404':
          description: Job or check result not found
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````